export default {
  checkAuth (appname,auth) {
    // 获取应用数据
    let module_list =  JSON.parse(sessionStorage.getItem('module_info'))
    // 获取当前应用数据
    let active_modules = module_list.filter(item => {
      return item.name === appname
    })
    // 获取当前应用权限
    let auth_list = active_modules[0].meta.auth
    // 判断是否拥有权限
    let _haveAuth = auth_list.some(item=>item.option === auth)

    return _haveAuth
  }
} 